@echo off
if not "%2"=="" goto usage
if "%1"=="package" goto package
if not "%1"=="" goto usage

nasm -f bin -l lines.lst -o lines.com lines.asm
goto end

:package
if not exist \appinfo\lines.lsm set errmsg=Error: Need "\appinfo\lines.lsm"
if not exist \source\lines\nul set errmsg=Error: Need "\source\lines" directory
if not exist \bin\nul set errmsg=Error: Need "\bin" directory
if not exist \doc\lines.doc set errmsg=Error: Need "\doc\lines.doc"
if not "%errmsg%"=="" goto err

if exist lines.lst del lines.lst > nul
if exist lines.com del lines.com > nul
call nasm -f bin -o \bin\lines.com lines.asm
if errorlevel 1 goto end

cd \
if exist source\lines.zip del source\lines.zip > nul
zip -9 -r source\lines.zip source\lines doc\lines.doc appinfo\lines.lsm \bin\lines.com
cd source
goto end

:usage
echo Usage: make [arg]
echo    Without arguments, it simply invokes NASM
echo    Arguments:
echo        Package     Assembles and zips into a FREEDOS package
goto end

:err
echo %errmsg%
set errmsg=
:end
